grk::ChronoTimer Class Reference

`#include <ChronoTimer.h>`

## Public Member Functions

| ChronoTimer (std::string msg)
void | start (void)
void | finish (void)

## Private Attributes

std::string | message
std::chrono::high_resolution_clock::time_point | startTime

## Constructor & Destructor Documentation

## ChronoTimer()

grk::ChronoTimer::ChronoTimer | ( | std::string | msg | ) |

inline

## Member Function Documentation

## finish()

void grk::ChronoTimer::finish | ( | void |  | ) |

inline

References finish(), grk::GRK_INFO(), grk::grk_read(), message, and startTime.

Referenced by finish().

## start()

void grk::ChronoTimer::start | ( | void |  | ) |

inline

References startTime.

## Member Data Documentation

## message

std::string grk::ChronoTimer::message

private

Referenced by finish().

## startTime

std::chrono::high_resolution_clock::time_point grk::ChronoTimer::startTime

private

Referenced by finish(), and start().

The documentation for this class was generated from the following file:

- ChronoTimer.h